Bug 245246 - Some RHEL5 Base packages need upgrading
Some RHEL5 Base packages need upgrading
Status: CLOSED DEFERRED
Product: JBoss Enterprise Application Platform 4
Classification: JBoss
Component: distribution (Show other bugs)
4.2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Vinu S Renish
Len DiMaggio
:
Depends On: 245226 245229 245231 245233
Blocks: 251533 251537
  Show dependency treegraph
 
Reported: 2007-06-21 17:03 EDT by Fernando Nasser
Modified: 2008-02-08 08:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 08:56:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2007-06-21 17:03:00 EDT
JBoss AS EAP 4.2 requires some packages at newer versions than the ones that
come in the RHEL5 Base, so these need to be upgraded.  It must be thougly tested
if the upgrades cause any problems for existing RHEL-5 applications, like
Tomcat5 (and indirectly Eclipse) and others.

Bugs have been filed for individual component upgrades.
Comment 1 Michael Hideo 2008-01-17 00:50:26 EST
Vinu,

Please move to JIRA if necessary.
Comment 2 Fernando Nasser 2008-02-08 08:56:39 EST
This is actually an aggregator, or tracking, bug against the Red Hat Enterprise
Linux (RHEL) distribution regarding the Java packages in "base" (see list of
dependencies).  For RHEL-5 itself it is being tracked in the Bug #250670.

The packages in RHEL-5 are compiled with GCJ, however, so we end up using EAP
own builds of the packages, even if at the right version, and made file copies
(instead of links) of them to avoid false-positives in the signature
compatibility  tests performed by QE.  This situation can be revisited if
IcedTea replaces GCJ in a future RHEL-5 update.

Nevertheless, the base packages should be updated, as that facilitates people
that want to use the RPMs for community version of JBoss (from jpackage.org) on
RHEL-5.  But that is tracked on the Bug #250670, so I am marking this one, which
is for EAP, as DEFERRED.

No need to create a JIRA for it.

Note You need to log in before you can comment on or make changes to this bug.